class TrainingPlanDetail {
  late int trainingPlanDetailId;
  int? trainingPlanId;
  late int exerciseTypeId;
  late int sort;
  late int set;
  int? repeats;
  double? weight;
  int? restingTime;
  bool? parallel;
  int? dayId;
  String? day;
  String? summary;

  TrainingPlanDetail.fromJson(Map<String, dynamic> json) {
    trainingPlanDetailId = json['trainingPlanDetailId'];
    trainingPlanId = json['trainingPlanId'];
    exerciseTypeId = json['exerciseTypeId'];
    sort = json['sort'];
    set = json['set'];
    repeats = json['repeats'];
    weight = json['weight'];
    restingTime = json['restingTime'];
    parallel = json['parallel'];
    dayId = json['dayId'];
  }

  Map<String, dynamic> toJson() => {
        "trainingPlanDetailId": trainingPlanDetailId,
        "trainingPlanId": trainingPlanId,
        "exerciseType": exerciseTypeId,
        "sort": sort,
        "repeats": repeats,
        "weight": weight,
        "restingTime": restingTime,
        "parallel": parallel,
        "dayId": dayId,
        "day": day,
        "summary": summary,
      };

  @override
  String toString() => toJson().toString();
}
